Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1157 - mod_perl doesn't work after perl upgrade
Summary: mod_perl doesn't work after perl upgrade
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mod_perl
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-02-14 08:02 UTC by Nemeth, Laszlo
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-01 22:44:42 UTC


Attachments (Terms of Use)

Description Nemeth, Laszlo 1999-02-14 08:02:24 UTC
After upgrading perl to the errata version (perl-5.004m7-1),
mod_perl stops working. Fix - rebuild mod_perl.

Comment 1 David Lawrence 1999-04-01 22:44:59 UTC
I installed a fresh install of 5.2. Updated the from perl-5.004m4-1
to  perl-5.004m7-1 available from updates.redhat.com. I was unable to
get this to fail when using mod_perl and running a sample cgi script.

Comment 2 Ian Macdonald 1999-04-25 17:12:59 UTC
This definitely is a problem for any CGI script that does a 'use CGI'.

Trying to run such a script under mod_perl when the latest Perl
package has been installed from the errata (perl-5.004m7-1) results in
this kind of error in /var/log/httpd/error_log:

[Sun Apr 25 18:01:27 1999] [error] Can't locate overload.pm in @INC
(@INC contains: /usr/lib/perl5/i386-linux/5.00404 /usr/lib/perl5
/usr/lib/perl5/site_perl/i386-linux /usr/lib/perl5/site_perl .
/etc/httpd/ /etc/httpd/lib/perl) at /usr/lib/perl5/CGI.pm line 2832.

overload.pm is located in /usr/lib/perl5/i386-linux/5.00405 in the new
Perl package.


Note You need to log in before you can comment on or make changes to this bug.